=== debian/control ===
Source: lockdev
Section: libs
Priority: optional
Maintainer: Fabrizio Polacco <fpolacco@debian.org>
Standards-Version: 3.1.0

Package: liblockdev1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Run-time shared library (libc6) for locking devices.
 It provides a reliable way to put an exclusive lock to
 devices using _both_ FSSTND and SVr4 methods.

Package: liblockdev1-dev
Section: devel
Architecture: any
Depends: liblockdev1 (=${Source-Version}), libc6-dev
Conflicts: liblockdev0-dev, liblockdev0g-dev 
Replaces: liblockdev0-dev, liblockdev0g-dev
Description: Development library (libc6) for locking devices.
 It provides a reliable way to put an exclusive lock to
 devices using _both_ FSSTND and SVr4 methods.
 .
 Includes header files and static lib.

Package: liblockdev1-dbg
Section: devel
Architecture: any
Depends: liblockdev1 (=${Source-Version}), liblockdev1-dev (=${Source-Version})
Conflicts: liblockdev0-dbg, liblockdev0g-dbg 
Replaces: liblockdev0-dbg, liblockdev0g-dbg
Description: Debugging library (libc6) for locking devices.
 It provides a reliable way to put an exclusive lock to
 devices using _both_ FSSTND and SVr4 methods.
 .
 Includes static and shared debugging and profiling libs,
 as well as the sources ready for use by gdb.

Package: liblockdev1-perl
Section: interpreters
Architecture: any
Depends: ${perl:Depends} 
Conflicts: liblockdev0-perl
Replaces:  liblockdev0-perl
Description: perl extension library for locking devices.
 It provides a reliable way to put an exclusive lock to
 devices using _both_ FSSTND and SVr4 methods.
 .
 Includes a shared lib loadable by perl 5 (use LockDev),
 the module LockDev.pm and its manpage LockDev(3pm) .
